# XQilla Simple API Documentation

# StaticType.hpp File Reference

`#include <xqilla/framework/XQillaExport.hpp>`
`#include <xqilla/items/AnyAtomicType.hpp>`
`#include <xqilla/framework/XPath2MemoryManager.hpp>`
`#include <xercesc/framework/XMLBuffer.hpp>`
`#include <xercesc/util/XMemory.hpp>`
Include dependency graph for StaticType.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | StaticType
| Class that represents the static type of an expression. More...
struct | StaticType::TypeMatch

## Functions

XQILLA_API StaticType::StaticTypeFlags | operator| (StaticType::StaticTypeFlags a, StaticType::StaticTypeFlags b)
XQILLA_API StaticType::StaticTypeFlags | operator& (StaticType::StaticTypeFlags a, StaticType::StaticTypeFlags b)

## Function Documentation

XQILLA_API StaticType::StaticTypeFlags operator& | ( | StaticType::StaticTypeFlags | a,
|  | StaticType::StaticTypeFlags | b |
| ) |  |  |

XQILLA_API StaticType::StaticTypeFlags operator| | ( | StaticType::StaticTypeFlags | a,
|  | StaticType::StaticTypeFlags | b |
| ) |  |  |